Subject: Re: bug#44556: 27.1; Ido deletes file without configuration with C-x C-v C-k

From: Jean Louis <[email-masked]>
Date: Thu, 10 Dec 2020 00:15:10 +0300

* Christopher Sean Morrison via "Bug reports for GNU Emacs, the Swiss army knife of text editors <[email-masked]> [2020-12-09 23:05]:

> I don’t know the inner workings of Ido to dig deeper on why it is
> not prompting for confirmation as that's the crux of this report.
> If I ctrl-k, file is deleted silently without confirmation.

Do you have variable delete-by-moving-to-trash as T ? Then the file
may be still in your trash to be recovered. It looks like C-k in ido
would ask you to delete the file but if the variable is set, the file
would go silently to Trash.

Anyway I hope that function is completely removed by developers as it
is close to C-j to expand the completion.

Use Ivy for completion or helm.

I found that standard Emacs completion is less obtrusive and equally
efficient. I use Ivy or helm when I need relevance search to match
words apart form each other.

Otherwise using joker *artial-file-name in built-in completion is just
quick.